Imagick::animateImages
Imagick::appendImages
Imagick
PHP Manual

# Imagick::annotateImage

Annotates an image with text

### Description

bool Imagick::annotateImage ( ImagickDraw `$draw_settings` , float `$x` , float `$y` , float `$angle` , string `$text` )

Annotates an image with text.

### Parameters

`draw_settings`

  The ImagickDraw object that contains settings for drawing the text

`x`

  Horizontal offset in pixels to the left of text

`y`

  Vertical offset in pixels to the baseline of text

`angle`

  The angle at which to write the text

`text`

  The string to draw

### Return Values

Returns `TRUE` on success.

### Examples

Example #1 Using Imagick::annotateImage:

Annotate text on an empty image

`<?php
/* Create some objects */
$image = new Imagick();
$draw = new ImagickDraw();
$pixel = new ImagickPixel( 'gray' );
/* New image */
$image->newImage(800, 75, $pixel);
/* Black text */
$draw->setFillColor('black');
/* Font properties */
$draw->setFont('Bookman-DemiItalic');
$draw->setFontSize( 30 );
/* Create text */
$image->annotateImage($draw, 10, 45, 0, 'The quick brown fox jumps over the lazy dog');
/* Give image a format */
$image->setImageFormat('png');
/* Output the image with headers */
header('Content-type: image/png');
echo $image;
?>`

### See Also

- ImagickDraw::annotation
- ImagickDraw::setFont